---
title: MediaDeviceInfo.label
slug: Web/API/MediaDeviceInfo/label
tags:
  - API
  - Media
  - Media Capture
  - Media Capture and Streams
  - Media Capture and Streams API
  - MediaDevicesInfo
  - Property
  - Reference
  - label
---
<div>{{APIRef("Media Capture")}}</div>

<p><span class="seoSummary">The <strong><code>label</code></strong> readonlyinline property of the {{domxref("MediaDeviceInfo")}} interface returns a {{domxref("DOMString")}}, that is a label describing this device (for example "External USB Webcam").</span> Only available during active <code>MediaStream</code> use, or when persistent permissions have been granted.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>label</em> = <em>MediaDeviceInfo</em>.label;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which describes the media device. For security reasons, the <code>label</code> is always an empty string (<code>""</code>) if the user has not obtained permission to use at least one media device, either by starting a stream from the microphone or camera, or by persistent permissions being granted.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture','#dom-mediadeviceinfo-label','label')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaDeviceInfo.label")}}</p>
</div>
